uuid: 6909971d-b780-4af3-967c-ae547d9e7926
langcode: en
status: true
dependencies:
  module:
    - commerce_payment
    - commerce_promotion
    - commerce_stripe
    - email_registration
    - materio_commerce
label: 'materio checkout flow'
id: materio_checkout_flow
plugin: multistep_default
configuration:
  display_checkout_progress: true
  display_checkout_progress_breadcrumb_links: true
  panes:
    contact_information:
      step: order_information
      weight: 0
      double_entry: false
      allow_guest_checkout: true
      allow_registration: false
    payment_information:
      step: order_information
      weight: 1
    materio_commerce_agree_terms:
      step: order_information
      weight: 2
      path:
        route_name: materio_commerce.terms_viewer
        route_parameters: {  }
      link_text: 'Terms and Conditions'
      prefix_text: 'I agree with the %terms'
      invalid_text: 'You must agree with the %terms before continuing'
      new_window: '1'
      nid: '1'
    materio_commerce_agree_nominative:
      step: order_information
      weight: 3
      path: /pricing/multijoueur
      text: "I have taken note that the membership of materialO 'is exclusively nominative. \r\nThe use of an account by more than one person is not allowed.\r\nI can fill the %multi form for multi user order."
      link_text: Multi-Joueurs
      invalid_text: 'You must agree with the nominative terms before continuing'
      prefix_text: 'I agree with the %terms'
      new_window: '1'
      nid: '1'
    review:
      step: review
      weight: 4
    stripe_review:
      step: review
      weight: 5
      button_id: edit-actions-next
      setup_future_usage: off_session
    payment_process:
      step: payment
      weight: 6
      capture: true
    completion_message:
      step: complete
      weight: 7
      message:
        value: "<p class=\"welcom\">[current-user:customer:address:given_name]&nbsp;[current-user:customer:address:family_name] thank you and welcome&nbsp;to <strong>[site:name]</strong>!</p>\r\n\r\n<p>Once your order is confirmed, you have access to more than 10,000 inspiring and innovative material sheets!</p>\r\n"
        format: wysiwyg
    order_summary:
      step: _sidebar
      weight: 8
      view: commerce_checkout_order_summary
    coupon_redemption:
      step: _sidebar
      weight: 9
      allow_multiple: false
    email_registration_login:
      step: _disabled
      weight: 10
      allow_guest_checkout: true
      allow_registration: false
    email_registration_completion_registration:
      step: _disabled
      weight: 11
    completion_register:
      step: _disabled
      weight: 12
    login:
      step: _disabled
      weight: 13
      allow_guest_checkout: true
      allow_registration: false
